{% extends "plantilla.html"%}
{% block contenido%}
{% load static %}
<div class="main-container">
  <div class="pd-ltr-20">
    <div class="card-box pd-20 height-100-p mb-30">
      <div class="row align-items-center">
        <div class="col-md-8">
          <h4 class="font-20 weight-500 mb-10 text-capitalize">
            SERVICIOS <div class="weight-600 font-30 text-blue">
              <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                Agregar Servicios
              </button>
            </div>
          </h4>
        </div>
      </div>

    </div>
    <table id="miTabla" class="display" cellspacing="0" width="100%" id="mitab">
  <thead>
    <tr>
      <th>ID</th>
      <th>DESCRIPCION</th>
      <th>COSTO</th>
      <th>NOTA</th>
      <th>ESTADO</th>
      <th>PRODUCTOS</th>
      <th>ACCIONES</th>
    </tr>
  </thead>
  <tbody>
    {% for servicio in servicios %}
    <tr>
      <td>{{ servicio.id }}</td>
      <td>{{ servicio.descripcion }}</td>
      <td>{{ servicio.costo }}</td>
      <td>{{ servicio.nota }}</td>
      <td>{{ servicio.estado }}</td>
      <td>
        {% for producto in servicio.productos.all %}
          {{ producto.nombre }}{% if not forloop.last %}, {% endif %}
        {% endfor %}
      </td>
      <td>
        <a href="/editarServicios/{{ servicio.id }}" class="btn btn-warning">Editar</a>
        <a href="javascript:void(0)" onclick="eliminarM('/eliminarServicios/{{ servicio.id }}');" class="btn btn-danger">Eliminar</a>
      </td>
    </tr>
    {% endfor %}
  </tbody>
</table>

        <!-- En tu script -->
        <script type="text/javascript">
        $(document).ready(function() {
            $('#miTabla').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'pdfHtml5',
                        messageTop: 'PDF created by PDFMake with Buttons for DataTables.'
                    },
                    'print',
                    'csv'
                ],
                "language": {
                    "url": "https://cdn.datatables.net/plug-ins/1.11.5/i18n/Spanish.json" // Cambia a la URL correcta del archivo de idioma español
                }
                // Puedes agregar más opciones según tus requisitos
            });
        });
    </script>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form class="selectpicker" action="/guardarServicios/" method="post" enctype="multipart/form-data" id="frm_nuevo_servicios">
        {% csrf_token %}

        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="descripcion">Ingrese la descripción</label>
                        <input type="text" name="descripcion" id="descripcion" value="" placeholder="Ingrese la descripción" class="form-control" required>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="costo">Ingrese el costo</label>
                        <input type="text" name="costo" id="costo" value="" placeholder="Ingrese el costo" class="form-control" required>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                      <label for="estado">Estado</label>
                      <input type="text" name="estado" id="estado" value="Activo" placeholder="Estado" class="form-control" readonly>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                      <label for="nota">Ingrese la nota</label>
                      <input type="text" name="nota" id="nota" value="" placeholder="Ingrese la nota" class="form-control" required>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                        <label for="productos">Seleccione productos</label><br>
                        <select class="form-control selectpicker" multiple data-live-search="true" name="productos" id="productos">
                            {% for producto in producto %}
                                <option value="{{ producto.id }}">{{ producto.nombre }}</option>
                            {% endfor %}
                        </select>

                        <!-- Agrega un campo oculto para almacenar los productos seleccionados -->
                        <input type="hidden" name="productos_seleccionados" id="productos_seleccionados" value="">

                        <script>
                        $(document).ready(function() {
                                $('.selectpicker').selectpicker({
                                    showTick: false
                                });
                            // Maneja el evento de cambio en la selección de productos
                            $('#productos').on('changed.bs.select', function(e) {
                                // Obtiene los productos seleccionados y los almacena en el campo oculto
                                var productosSeleccionados = $(this).val();
                                $('#productos_seleccionados').val(productosSeleccionados);
                            });
                        });
                        </script>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12 text-center">
                    <button type="submit" class="btn btn-primary">Guardar</button>
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                </div>
            </div>
        </div>
    </form>


<script>
    $(document).ready(function () {
        $("#frm_nuevo_servicios").validate({
            rules: {
                descripcion: {
                    required: true,
                    letterswithspace: true
                },
                costo: {
                    required: true,
                    number: true,
                    min: 0
                },
                nota: {
                    required: true,
                    lettersonly: true
                },
                proximo: {
                    required: true,
                    date: true,
                    min: new Date().toISOString().split("T")[0]
                },
                estado: {
                    required: true,
                    letterswithspace: true
                }
            },
            messages: {
                descripcion: {
                    required: "Por favor, ingrese la descripción.",
                    letterswithspace: "Solo se permiten letras y espacios en blanco."
                },
                costo: {
                    required: "Por favor, ingrese el costo.",
                    number: "Ingrese solo números.",
                    min: "El costo no puede ser negativo."
                },
                nota: {
                    required: "Por favor, ingrese la nota.",
                    lettersonly: "Solo se permiten letras."
                },
                proximo: {
                    required: "Por favor, ingrese el próximo.",
                    date: "Ingrese una fecha válida.",
                    min: "La fecha no puede ser anterior a hoy."
                },
                estado: {
                    required: "Por favor, ingrese el estado.",
                    letterswithspace: "Solo se permiten letras y espacios en blanco."
                }
            }
        });

        // Métodos personalizados para las reglas específicas
        $.validator.addMethod("letterswithspace", function (value, element) {
            return this.optional(element) || /^[a-zA-Z\s]*$/.test(value);
        });

        $.validator.addMethod("lettersonly", function (value, element) {
            return this.optional(element) || /^[a-zA-Z]*$/.test(value);
        });
    });
</script>
</div>
</div>
</div>
{% endblock %}
